package com.google.android.gms.search;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;

public class GoogleNowAuthState
  implements SafeParcelable
{
  public static final Parcelable.Creator<GoogleNowAuthState> CREATOR = new zza();
  final int mVersionCode;
  String zzXI;
  String zzbgG;
  long zzbgH;
  
  GoogleNowAuthState(int paramInt, String paramString1, String paramString2, long paramLong)
  {
    this.mVersionCode = paramInt;
    this.zzbgG = paramString1;
    this.zzXI = paramString2;
    this.zzbgH = paramLong;
  }
  
  public int describeContents()
  {
    return 0;
  }
  
  public String getAccessToken()
  {
    return this.zzXI;
  }
  
  public String getAuthCode()
  {
    return this.zzbgG;
  }
  
  public long getNextAllowedTimeMillis()
  {
    return this.zzbgH;
  }
  
  public String toString()
  {
    return "mAuthCode = " + this.zzbgG + "\nmAccessToken = " + this.zzXI + "\nmNextAllowedTimeMillis = " + this.zzbgH;
  }
  
  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    zza.zza(this, paramParcel, paramInt);
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/com/google/android/gms/search/GoogleNowAuthState.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */